eoTimedDynUpdate(3)

NAME
eoTimedDynUpdate - An eoUpdater to update an eoUpdatable object every given time interval.

SYNOPSIS

#include <eoUpdatable.h>

Inherits eoDynUpdater.

  Public Member Functions
eoTimedDynUpdate (eoUpdatable &_toUpdate, time_t _interval)
void operator() (void)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
const time_t interval
time_t last_time
const time_t first_time

Detailed Description

An eoUpdater to update an eoUpdatable object every given time interval.

Definition at line 67 of file eoUpdatable.h.

Author

Generated automatically by Doxygen for EO from the source code.